

data-COFpad.H:data-COFnew.H $B/taper.x 
	$B/taper.x<$< beg=20 end=50|Pad beg1=100 end1=100>$@


##########model###############

mod-COF.H:$B/bidecon_log.x data-COFpad.H
	<data-COFpad.H $< threshold=0.2  niter=100 niter_lin=10\
		Cr=clipr_COF.H du=du_COF.H FU=FU_COF.H u=u_COF.H filter=filter_COF.H avg_r=avg_r_COF.H>result_COF.H
	Window<result_COF.H f3=99 n3=1>$@




###########preconditioning##############



data_burg_decon.H:pre_a_COF.H data-COFpad.H
	src/Conv_c/bin/Conv_filter_c.x  <data-COFpad.H filter=$< filter1d=1> $@

mod-COF_pre.H:$B/bidecon_log.x data_burg_decon.H
	<data_burg_decon.H $< threshold=0.2  niter=100 niter_lin=10\
		Cr=clipr_COF_pre.H du=du_COF_pre.H FU=FU_COF_pre.H u=u_COF_pre.H filter=filter_COF_pre.H avg_r=avg_r_pre.H>result_COF_pre.H
	Window<result_COF_pre.H f3=86 n3=1>$@


     #### GALI-PEF
data_ant_rou_gap%.H:$B/Causint.x data-COFpad.H
	$< <data-COFpad.H ant=1 gap=$* rou=0.8>$@
pre_a_COF_ant_rou_gap%.H:data_ant_rou_gap%.H $B/Pefmp.x
	src/Pefmp/bin/Pefmp.x <$< flength=100 >$@
data_burg_ant_rou_gap%.H:pre_a_COF_ant_rou_gap%.H data_ant_rou_gap%.H
	src/Conv_c/bin/Conv_filter_c.x <data_ant_rou_gap$*.H filter=$< filter1d=1> $@
mod-COF_pre_ant_rou_gap%.H:$B/bidecon_log.x data_burg_ant_rou_gap%.H
	<data_burg_ant_rou_gap$*.H $< threshold=0.2  niter=100 niter_lin=10\
		Cr=clipr_COF_pre_ant_rou_gap$*.H du=du_COF_pre_ant_rou_gap$*.H FU=FU_COF_pre_ant_rou_gap$*.H u=u_COF_pre_ant_rou_gap$*.H filter=filter_COF_pre_ant_rou_gap$*.H avg_r=avg_r_galip$*.H>result_COF_pre_ant_rou_gap$*.H
	Window<result_COF_pre_ant_rou_gap$*.H f3=99 n3=1>$@



$R/dataside.v:data-COFpad.H data_burg_decon.H data_burg_ant_rou_gap2.H
	Window<data-COFpad.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(a)"  out=$R/data-COFpad_side.v ${dn}
	Window<data_burg_decon.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(b)"   out=$R/data_burg_decon.v  ${dn}
	Window<data_burg_ant_rou_gap2.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(c)"  out=$R/data_burg_ant_rou_gap2.v ${dn}		
	vp_SideBySideAniso $R/data-COFpad_side.v $R/data_burg_decon.v $R/data_burg_ant_rou_gap2.v>$@

$R/modelside.v:mod-COF.H mod-COF_pre.H mod-COF_pre_ant_rou_gap2.H
	Window<mod-COF.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(a)" out=$R/mod-COFpad_side.v ${dn}
	Window<mod-COF_pre.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(b)" out=$R/mod-COF_pre.v ${dn}
	Window<mod-COF_pre_ant_rou_gap2.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="(c)" out=$R/mod-COF_pre_ant_rou_gap2.v ${dn}		
	vp_SideBySideAniso $R/mod-COFpad_side.v $R/mod-COF_pre.v $R/mod-COF_pre_ant_rou_gap2.v>$@

$R/modelsidecover.v:mod-COF.H mod-COF_pre.H mod-COF_pre_ant_rou_gap2.H
	Window<data-COFpad.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="Common offest data" labelfat=3 titlefat=3 titlesz=15 labelsz=12 out=$R/data-COFpad_side_cover.v ${dn}
	Window<mod-COF_pre.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="Bidecon with PEF precond" labelfat=3 titlefat=3 titlesz=15 labelsz=12 out=$R/mod-COF_pre_cover.v ${dn}
	vp_annotate <$R/mod-COF_pre_cover.v text=mod-COF_pre_cover.txt batch=y >$R/mod-COF_pre_cover_ann.v
	Window<mod-COF_pre_ant_rou_gap2.H n2=160|Grey ${ebclip} ${COF_DECON_LABEL} min1=1.6 max1=2.88 title="Bidecon with GALI-PEF precond" labelfat=3 titlefat=3 titlesz=15 labelsz=12 out=$R/mod-COF_pre_ant_rou_gap2_cover.v ${dn}
	vp_annotate <$R/mod-COF_pre_ant_rou_gap2_cover.v text=mod-COF_pre_ant_rou_gap2_cover.text batch=y >$R/mod-COF_pre_ant_rou_gap2_cover_ann.v		
	vp_SideBySideAniso $R/data-COFpad_side_cover.v $R/mod-COF_pre_cover_ann.v $R/mod-COF_pre_ant_rou_gap2_cover_ann.v>$@


$R/resavg.v:avg_r_COF.H avg_r_pre.H avg_r_galip2.H
	Math file1=avg_r_COF.H exp='file1' |Window f1=1>avg_r_COF_norm.H
	Math file1=avg_r_pre.H exp='file1' |Window f1=1>avg_r_pre_norm.H
	Math file1=avg_r_galip2.H exp='file1' |Window f1=1>avg_r_galip2_norm.H
	echo o1=1>>avg_r_COF_norm.H
	echo o1=1>>avg_r_pre_norm.H
	echo o1=1>>avg_r_galip2_norm.H
	Cat avg_r_COF_norm.H avg_r_pre_norm.H avg_r_galip2_norm.H axis=2|Graph legend=y curvelabel="Without preconditioning":"With PEF preconditioning":"With GALI-PEF preconditioning" title=" " label2="average residual" label1="iteration" legendtitle=" " min1=1 dash=[0,3,5] out=$@ ${dn}




