program Causint
  use sep
  use causint1_mod
  implicit none

 
  integer :: n1,n2,n3,i,gap
  real, dimension(:,:), allocatable :: d,d_cau
  character(len=256) ::   csz_ant,csz_gap,csz_rou
  integer :: ant
  real    :: rou



  write(0,*) "Causint.x < data.H ant=[] gap=[]> output.H"

  call sep_init()
  csz_ant="ant"
  csz_gap="gap"
  csz_rou="rou"

  call from_history ('n1', n1)
  call from_history ('n2', n2,1)
  call from_history ('n3', n3,1)

  call from_param (csz_ant, ant, 0)
  call from_param (csz_gap, gap, 0)
  call from_param (csz_rou, rou, 1.)

  allocate(d(n1,n2),d_cau(n1,n2))
  call sep_read(d)


     if (ant==1) then
         do i=1,n2
             call causint1( 1, 0, n1, gap,rou,d_cau(:,i),d(:,i)) 
         end do
      else
          do i=1,n2
             call causint1( 0, 0, n1, gap,rou,d(:,i),d_cau(:,i) ) 
          end do
     end if


  call to_history('n1',n1)
  call to_history('n2',n2)
  call to_history('n3',n3)

  call sep_write(d_cau)

  deallocate(d,d_cau)

  call sep_close()
end program

