module causint1_mod
! causal integral
!
use adj_mod1
contains 

subroutine causint1( adj, add, n,gap,rou,pp, qq )
integer :: i, n, adj, add,gap
real :: pp(n), qq(n)
real :: tt(n)
real :: rou

call adjnull( adj, add, pp, qq)
if ( adj .eq. 0 ) then
  do i=1,gap+1
     tt(i)=pp(i)
  end do
!  tt(1) = pp(1)
  do i= gap+2, n
    tt(i) = rou*tt(i-gap-1) + pp(i)
  end do
  do i= 1, n
    qq(i) = qq(i) + tt(i)
  end do
else
  do i=n-gap,n   
     tt(i) = qq(i)
  end do
  do i = n-gap,2,-1
    tt(i-1) = rou*tt(i+gap) + qq(i-1)
  end do
  do i = 1,n
    pp(i) = pp(i) + tt(i)
  end do
end if
return
end subroutine
end module
