program taper
  use sep

  implicit none

 
  integer :: n1,n2,n3,i1,i2,ind
  real, dimension(:,:), allocatable :: d,d_taper
  character(len=256) ::   csz_begin, csz_end
  integer :: mybeg,myend
  real::     fac_beg,fac_end


  write(0,*) "taper.x < data.H beg=[] end=[]  > output.H"

  call sep_init()
  csz_begin="beg"
  csz_end="end"

  call from_history ('n1', n1)
  call from_history ('n2', n2,1)
  call from_history ('n3', n3,1)

  call from_param (csz_begin, mybeg, 1)
  call from_param (csz_end, myend, 1)

  allocate(d(n1,n2),d_taper(n1,n2))
  call sep_read(d)
  fac_beg=1.0/mybeg
  fac_end=1.0/myend
  d_taper=d
  do i1=1,mybeg
     d_taper(i1,:)=d(i1,:)*i1*fac_beg
  end do

  ind=n1-myend+1
  do i2=ind,n1
     d_taper(i2,:)=d(i2,:)*(n1-i2+1)*fac_end
  end do

  call to_history('n1',n1)
  call to_history('n2',n2)
  call to_history('n3',n3)

  call sep_write(d_taper)

  deallocate(d,d_taper)

  call sep_close()
end program

