module write_residual_mod 
  use ddot_mod
  use util_axisIO
  use sep
  implicit none
  contains
  subroutine write_residual(crd,filename,res_scale)
    double precision, dimension(:)    :: crd

    real :: res_scale
!     type(myaxis)  axis1, axis2
    character(len=256) :: filename
    real, dimension(2,1) ::temp


    if (res_scale.eq.0) then
      res_scale=sum(crd)/1000.0
      write(0,*) "SET DOT PRODUCT VALUES SCALED BY ",res_scale
    end if


    temp(1,1)=sum(crd)/res_scale
    temp(2,1)=sum(crd)
    call sep_write(temp,filename)
  end subroutine 
end module 
